POST
/
v1
/
calls
/
{id}
/
answer
Answer a call
curl --request POST \
  --url https://api.wavix.com/v1/calls/{id}/answer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "call_recording": false,
  "call_transcription": false,
  "stream_url": "wss://examples.com/stream",
  "stream_type": "twoway",
  "stream_channel": "inbound"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

id
string<uuid>
required

The uuid of the call.

Body

application/json

Options to apply when answering the call.

call_recording
boolean
default:false

Indicates whether the call should be recorded.

call_transcription
boolean
default:false

Indicates whether the call should be transcribed after it ends.

stream_url
string<uri>

WebSocket URL (ws:// or wss://) that receives the call's audio, which can include the caller's voice.

Example:

"wss://examples.com/stream"

stream_type
enum<string>

Direction of audio streamed to stream_url.

Available options:
oneway,
twoway
Example:

"twoway"

stream_channel
enum<string>

Audio channel streamed to stream_url.

Available options:
inbound,
outbound,
both
Example:

"inbound"

Response

Returns a success confirmation. The call is answered.

success
boolean
required

Indicates whether the request was successful.

Example:

true